#!/bin/sh

# Simple shell script to populate the dock by setting up some random
# standard applications.

make install-schemas

while read n file; do
    key=/apps/kiba/launchers/$n/file
    gconftool-2 --set $key --type string $file
    gconftool-2 --apply-schema /schemas/apps/kiba/launchers/file $key
done <<EOF
    0 /usr/share/applications/gnome-terminal.desktop
    1 /usr/share/applications/gimp-2.2.desktop
    2 /usr/share/applications/epiphany.desktop
    3 /usr/share/applications/gaim.desktop
    4 /usr/share/applications/gnome-cd.desktop
    5 /usr/share/applications/background.desktop
    6 /usr/share/applications/gnome-file-roller.desktop
EOF
